## Class TColorPickerClientSide

Description

TColorPickerClientSide class.

Client-side javascript code options.

- since: 3.1
- version: $Id: TColorPicker.php 1918 2007-05-09 02:51:02Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TColorPicker.php (line 254)

    TComponent
       |
       --TClientSideOptions
          |
          --TColorPickerClientSide

Method Summary
string getOnColorSelected ()
void setOnColorSelected (string $javascript)
Methods
getOnColorSelected (line 259)

- return: javascript code for when a color is selected.
- access: public

string getOnColorSelected ()
setOnColorSelected (line 267)

- access: public

void setOnColorSelected (string $javascript)

- string $javascript: javascript code for when a color is selected.

#### Inherited Methods

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:33:43 -0400 by phpDocumentor 1.3.0RC4